#include <bits/stdc++.h>
using namespace std;

int main(){
	int n, m;
	cin>>n>>m;
	map<int, int> a;
	set<int> b;
	for(int i = 0; i< m; i++){
		int k;
		cin>>k;
		b.insert(k);
		a[k]++;
	}
	int ans[n];
	int an = 0;
	for(int i : b){
		if(a[i] >= n){
			ans[an] = i;
			an++;
		}
	}
	cout<<an<<"\n";
	for(int i = 0; i< an; i++){
		cout<<ans[i]<<" ";
	}
}
